Runtime

## org.eclipse.gmf.runtime.notation.impl
Class BasicDecorationNodeImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.MinimalEObjectImpl
                  org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.gmf.runtime.notation.impl.BasicDecorationNodeImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject, BasicDecorationNode, Node, View

Direct Known Subclasses:
  BasicSemanticCompartmentImpl, DecorationNodeImpl

    public class BasicDecorationNodeImpl

extends org.eclipse.emf.ecore.impl.EModelElementImpl
implements BasicDecorationNode

An implementation of the model object 'Basic Decoration Node'.

Since:
  1.2
** Generated **
  NOT

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary
`protected static org.eclipse.emf.ecore.EStructuralFeature[]` `childrenFeatures`
`protected org.eclipse.emf.ecore.EObject` `element`
`protected static int` `ELEMENT_ESETFLAG`
`protected static boolean` `MUTABLE_EDEFAULT`
`protected static int` `MUTABLE_EFLAG`
`protected java.lang.String` `type`
`protected static java.lang.String` `TYPE_EDEFAULT`
`protected static boolean` `VISIBLE_EDEFAULT`
`protected static int` `VISIBLE_EFLAG`

Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eContainer`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder
`NIL`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `BasicDecorationNodeImpl()`

Method Summary
`Diagram` `basicGetDiagram()`
`org.eclipse.emf.ecore.EObject` `basicGetElement()`
`org.eclipse.emf.common.notify.NotificationChain` `basicSetLayoutConstraint(LayoutConstraint newLayoutConstraint, org.eclipse.emf.common.notify.NotificationChain msgs)`
`Node` `createChild(org.eclipse.emf.ecore.EClass eClass)` A utililty method to create a new `Node` from the given `eClass` paramter and then inserts the object in the view's Children collection
`LayoutConstraint` `createLayoutConstraint(org.eclipse.emf.ecore.EClass eClass)` A utility method to create a `LayoutConstraint` object from the given `EClass` and then sets the node's LayoutConstraint property to the new object.
`Style` `createStyle(org.eclipse.emf.ecore.EClass eClass)` A utililty method to create a new `Style` from the given `eClass` paramter and then inserts the object in the view's Styles collection
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`org.eclipse.emf.common.util.EList` `getChildren()` Returns the value of the 'Children'list.
`Diagram` `getDiagram()` Returns the value of the 'Diagram' reference
`org.eclipse.emf.ecore.EObject` `getElement()` Returns the value of the 'Element' reference
`LayoutConstraint` `getLayoutConstraint()` Returns the value of the 'Layout Constraint' containment reference
`NamedStyle` `getNamedStyle(org.eclipse.emf.ecore.EClass eClass, java.lang.String name)`
`org.eclipse.emf.common.util.EList` `getPersistedChildren()` Returns the value of the 'Persisted Children' containment reference list.
`org.eclipse.emf.common.util.EList` `getSourceEdges()` Returns the value of the 'Source Edges' reference list.
`Style` `getStyle(org.eclipse.emf.ecore.EClass eClass)` Looks up a style in the view's collection of styles that extends/implements the given `EClass`.
`org.eclipse.emf.common.util.EList` `getStyles()` Returns the value of the 'Styles' containment reference list.
`org.eclipse.emf.common.util.EList` `getTargetEdges()` Returns the value of the 'Target Edges' reference list.
`org.eclipse.emf.common.util.EList` `getTransientChildren()` Returns the value of the 'Transient Children' containment reference list.
`java.lang.String` `getType()` Returns the value of the 'Type' attribute.
`org.eclipse.emf.common.util.EList` `getVisibleChildren()`
`void` `insertChild(View child)`
`void` `insertChild(View child, boolean persisted)`
`void` `insertChildAt(View child, int index)`
`boolean` `isMutable()` Returns the value of the 'Mutable' attribute.
`boolean` `isSetElement()` Returns whether the value of the '`Element`' reference is set
`boolean` `isVisible()` Returns the value of the 'Visible' attribute.
`void` `persist()`
`void` `persistChildren()`
`void` `removeChild(View child)`
`void` `setElement(org.eclipse.emf.ecore.EObject newElement)` Sets the value of the '`Element`' reference
`void` `setLayoutConstraint(LayoutConstraint newLayoutConstraint)` Sets the value of the '`Layout Constraint`' containment reference
`void` `setMutable(boolean newMutable)` Sets the value of the '`Mutable`' attribute
`void` `setType(java.lang.String newType)` Sets the value of the '`Type`' attribute
`void` `setVisible(boolean newVisible)` Sets the value of the '`Visible`' attribute
`void` `unsetElement()` Unsets the value of the '`Element`' reference

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eObjectForURIFragmentSegment, eSetDirectResource, eURIFragmentSegment, freeze, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eBasicSetContainer, eInternalContainer`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetProxyURI, eSettings`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues, toString`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### VISIBLE_EDEFAULT

    protected static final boolean VISIBLE_EDEFAULT

See Also:
  Constant Field Values

### VISIBLE_EFLAG

    protected static final int VISIBLE_EFLAG

See Also:
  Constant Field Values

### TYPE_EDEFAULT

    protected static final java.lang.String TYPE_EDEFAULT

See Also:
  Constant Field Values

### type

    protected java.lang.String type

### MUTABLE_EDEFAULT

    protected static final boolean MUTABLE_EDEFAULT

See Also:
  Constant Field Values

### MUTABLE_EFLAG

    protected static final int MUTABLE_EFLAG

See Also:
  Constant Field Values

### element

    protected org.eclipse.emf.ecore.EObject element

### ELEMENT_ESETFLAG

    protected static final int ELEMENT_ESETFLAG

See Also:
  Constant Field Values

### childrenFeatures

    protected static final org.eclipse.emf.ecore.EStructuralFeature[] childrenFeatures

Constructor Detail

### BasicDecorationNodeImpl

    protected BasicDecorationNodeImpl()

  ** Generated **
    NOT

Method Detail

### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `org.eclipse.emf.ecore.impl.EModelElementImpl`
  ** Generated **

### isVisible

    public boolean isVisible()

  Description copied from interface: `View`
  Returns the value of the 'Visible' attribute. The default value is `"true"`.

  Specified by:
    `isVisible` in interface `View`
  Returns:
    the value of the 'Visible' attribute.
  See Also:
    `View.setVisible(boolean)`, `NotationPackage.getView_Visible()`

### setVisible

    public void setVisible(boolean newVisible)

  Description copied from interface: `View`
  Sets the value of the '`Visible`' attribute.

  Specified by:
    `setVisible` in interface `View`
  Parameters:
    `newVisible` - the new value of the 'Visible' attribute.
  See Also:
    `View.isVisible()`

### getType

    public java.lang.String getType()

  Description copied from interface: `View`
  Returns the value of the 'Type' attribute. The default value is `""`.

  The view's type is a context-defined unique string representing the kind of the view. It is usually used if the view is a subview or if it is a top level view that does not have a business model

  Specified by:
    `getType` in interface `View`
  Returns:
    the value of the 'Type' attribute.
  See Also:
    `View.setType(String)`, `NotationPackage.getView_Type()`

### setType

    public void setType(java.lang.String newType)

  Description copied from interface: `View`
  Sets the value of the '`Type`' attribute.

  The view's type is a context-defined unique string representing the kind of the view. It is usually used if the view is a subview or if it is a top level view that does not have a business model

  Specified by:
    `setType` in interface `View`
  Parameters:
    `newType` - the new value of the 'Type' attribute.
  See Also:
    `View.getType()`

### isMutable

    public boolean isMutable()

  Description copied from interface: `View`
  Returns the value of the 'Mutable' attribute. The default value is `"false"`.

  If the meaning of the 'Mutable' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `isMutable` in interface `View`
  Returns:
    the value of the 'Mutable' attribute.
  See Also:
    `View.setMutable(boolean)`, `NotationPackage.getView_Mutable()`

### setMutable

    public void setMutable(boolean newMutable)

  Description copied from interface: `View`
  Sets the value of the '`Mutable`' attribute.

  Specified by:
    `setMutable` in interface `View`
  Parameters:
    `newMutable` - the new value of the 'Mutable' attribute.
  See Also:
    `View.isMutable()`

### getSourceEdges

    public org.eclipse.emf.common.util.EList getSourceEdges()

  Description copied from interface: `View`
  Returns the value of the 'Source Edges' reference list. The list contents are of type `Edge`. It is bidirectional and its opposite is '`Source`'.

  The property is a list of zero or more outgoing edges from the view

  Must use only for addition/removal purposes. Otherwise check if feature is set first `EObject.eIsSet(org.eclipse.emf.ecore.EStructuralFeature)`

  Specified by:
    `getSourceEdges` in interface `View`
  Returns:
    the value of the 'Source Edges' reference list.
  See Also:
    `NotationPackage.getView_SourceEdges()`, `Edge.getSource()`

### getTargetEdges

    public org.eclipse.emf.common.util.EList getTargetEdges()

  Description copied from interface: `View`
  Returns the value of the 'Target Edges' reference list. The list contents are of type `Edge`. It is bidirectional and its opposite is '`Target`'.

  The property is a list of zero or more incoming edges to the view

  Must use only for addition/removal purposes. Otherwise check if feature is set firts `EObject.eIsSet(org.eclipse.emf.ecore.EStructuralFeature)`

  Specified by:
    `getTargetEdges` in interface `View`
  Returns:
    the value of the 'Target Edges' reference list.
  See Also:
    `NotationPackage.getView_TargetEdges()`, `Edge.getTarget()`

### getPersistedChildren

    public org.eclipse.emf.common.util.EList getPersistedChildren()

  Description copied from interface: `View`
  Returns the value of the 'Persisted Children' containment reference list. The list contents are of type `Node`.

  If the meaning of the 'Persisted Children' containment reference list isn't clear, there really should be more of a description here...

  Specified by:
    `getPersistedChildren` in interface `View`
  Returns:
    the value of the 'Persisted Children' containment reference list.
  See Also:
    `NotationPackage.getView_PersistedChildren()`

### getChildren

    public org.eclipse.emf.common.util.EList getChildren()

  Description copied from interface: `View`
  Returns the value of the 'Children'list. the returned list is an Unmodifable list. The list contents are of type `View`.

  Specified by:
    `getChildren` in interface `View`
  Returns:
    the value of the 'Children' list.
  See Also:
    `org.eclipse.gmf.runtime.notation.NotationPackage#getView_Children()`

### getStyles

    public org.eclipse.emf.common.util.EList getStyles()

  Description copied from interface: `View`
  Returns the value of the 'Styles' containment reference list. The list contents are of type `Style`.

  The list contains unique instances of these styles.

  Must use `View.getStyle(EClass)` to access specific style

  Specified by:
    `getStyles` in interface `View`
  Returns:
    the value of the 'Styles' containment reference list.
  See Also:
    `NotationPackage.getView_Styles()`

### getElement

    public org.eclipse.emf.ecore.EObject getElement()

  Description copied from interface: `View`
  Returns the value of the 'Element' reference.

  This is The referenced business model element

  Specified by:
    `getElement` in interface `View`
  Returns:
    the value of the 'Element' reference.
  See Also:
    `View.isSetElement()`, `View.unsetElement()`, `View.setElement(EObject)`, `NotationPackage.getView_Element()`

### basicGetElement

    public org.eclipse.emf.ecore.EObject basicGetElement()

### setElement

    public void setElement(org.eclipse.emf.ecore.EObject newElement)

  Description copied from interface: `View`
  Sets the value of the '`Element`' reference. This is The referenced business model element

  Specified by:
    `setElement` in interface `View`
  Parameters:
    `newElement` - the new value of the 'Element' reference.
  See Also:
    `View.isSetElement()`, `View.unsetElement()`, `View.getElement()`

### unsetElement

    public void unsetElement()

  Description copied from interface: `View`
  Unsets the value of the '`Element`' reference.

  Specified by:
    `unsetElement` in interface `View`
  See Also:
    `View.isSetElement()`, `View.getElement()`, `View.setElement(EObject)`

### isSetElement

    public boolean isSetElement()

  Description copied from interface: `View`
  Returns whether the value of the '`Element`' reference is set.

  Specified by:
    `isSetElement` in interface `View`
  Returns:
    whether the value of the 'Element' reference is set.
  See Also:
    `View.unsetElement()`, `View.getElement()`, `View.setElement(EObject)`

### getDiagram

    public Diagram getDiagram()

  Description copied from interface: `View`
  Returns the value of the 'Diagram' reference.

  The diagram is the top level container of this view

  Specified by:
    `getDiagram` in interface `View`
  Returns:
    the value of the 'Diagram' reference.
  See Also:
    `NotationPackage.getView_Diagram()`

### basicGetDiagram

    public Diagram basicGetDiagram()

### getTransientChildren

    public org.eclipse.emf.common.util.EList getTransientChildren()

  Description copied from interface: `View`
  Returns the value of the 'Transient Children' containment reference list. The list contents are of type `Node`.

  If the meaning of the 'Transient Children' containment reference list isn't clear, there really should be more of a description here...

  Specified by:
    `getTransientChildren` in interface `View`
  Returns:
    the value of the 'Transient Children' containment reference list.
  See Also:
    `NotationPackage.getView_TransientChildren()`

### getStyle

    public Style getStyle(org.eclipse.emf.ecore.EClass eClass)

  Description copied from interface: `View`

  Looks up a style in the view's collection of styles that extends/implements the given `EClass`. Thefore the returned style instance is not guaranteed to be unique for different `EClass`es

  Specified by:
    `getStyle` in interface `View`

### createChild

    public Node createChild(org.eclipse.emf.ecore.EClass eClass)

  Description copied from interface: `View`

  A utililty method to create a new `Node` from the given `eClass` paramter and then inserts the object in the view's Children collection

  Specified by:
    `createChild` in interface `View`
  Parameters:
    `eClass` - the `EClass` to be used in creating the `Node` object

### createStyle

    public Style createStyle(org.eclipse.emf.ecore.EClass eClass)

  Description copied from interface: `View`

  A utililty method to create a new `Style` from the given `eClass` paramter and then inserts the object in the view's Styles collection

  Specified by:
    `createStyle` in interface `View`
  Parameters:
    `eClass` - the `EClass` to be used in creating the `Style` object

### getNamedStyle

    public NamedStyle getNamedStyle(org.eclipse.emf.ecore.EClass eClass,
                                    java.lang.String name)

  Description copied from interface: `View`

  Specified by:
    `getNamedStyle` in interface `View`

### eInverseAdd

    public org.eclipse.emf.common.notify.NotificationChain eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                       int featureID,
                                                                       org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `org.eclipse.emf.ecore.impl.EModelElementImpl`

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `org.eclipse.emf.ecore.impl.EModelElementImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `org.eclipse.emf.ecore.impl.EModelElementImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `org.eclipse.emf.ecore.impl.EModelElementImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `org.eclipse.emf.ecore.impl.EModelElementImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.EModelElementImpl`

### persistChildren

    public void persistChildren()

  Specified by:
    `persistChildren` in interface `View`

### insertChild

    public void insertChild(View child)

  Specified by:
    `insertChild` in interface `View`
  Parameters:
    `child` - the 'View' to insert.

### insertChildAt

    public void insertChildAt(View child,
                              int index)

  Specified by:
    `insertChildAt` in interface `View`
  Parameters:
    `child` - the 'View' to insert.

### insertChild

    public void insertChild(View child,
                            boolean persisted)

  Specified by:
    `insertChild` in interface `View`
  Parameters:
    `child` - the 'View' to insert.

### removeChild

    public void removeChild(View child)

  Specified by:
    `removeChild` in interface `View`
  Parameters:
    `child` - the 'View' to remove

### persist

    public void persist()

  Specified by:
    `persist` in interface `View`

### getVisibleChildren

    public org.eclipse.emf.common.util.EList getVisibleChildren()

  Specified by:
    `getVisibleChildren` in interface `View`
  Returns:
    Unmodifable list of Visible children

### createLayoutConstraint

    public LayoutConstraint createLayoutConstraint(org.eclipse.emf.ecore.EClass eClass)

  Description copied from interface: `Node`

  A utility method to create a `LayoutConstraint` object from the given `EClass` and then sets the node's LayoutConstraint property to the new object.

  Specified by:
    `createLayoutConstraint` in interface `Node`
  Parameters:
    `eClass` - the `EClass` to be used in creating the `LayoutConstraint` object

### setLayoutConstraint

    public void setLayoutConstraint(LayoutConstraint newLayoutConstraint)

  Description copied from interface: `Node`
  Sets the value of the '`Layout Constraint`' containment reference.

  Layout constraints are used by layout managers to properly set the bounds of the node's visuals

  Specified by:
    `setLayoutConstraint` in interface `Node`
  Parameters:
    `newLayoutConstraint` - the new value of the 'Layout Constraint' containment reference.
  See Also:
    `Node.getLayoutConstraint()`

### basicSetLayoutConstraint

    public org.eclipse.emf.common.notify.NotificationChain basicSetLayoutConstraint(LayoutConstraint newLayoutConstraint,
                                                                                    org.eclipse.emf.common.notify.NotificationChain msgs)

### getLayoutConstraint

    public LayoutConstraint getLayoutConstraint()

  Description copied from interface: `Node`
  Returns the value of the 'Layout Constraint' containment reference.

  Layout constraints are used by layout managers to properly set the bounds of the node's visuals

  Specified by:
    `getLayoutConstraint` in interface `Node`
  Returns:
    the value of the 'Layout Constraint' containment reference.
  See Also:
    `Node.setLayoutConstraint(LayoutConstraint)`, `NotationPackage.getNode_LayoutConstraint()`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.